Package com.sun.speech.freetts.cart

# Interface CART

All Known Implementing Classes:
  `CARTImpl`

public interface CART
Generic interface for Classification and Regression Trees (CARTs) based on the Breiman, Friedman, Olshen, and Stone document "Classification and Regression Trees." Wadsworth, Belmont, CA, 1984.

## Method Summary

Modifier and Type
Method
Description
`void`
`dumpBinary(DataOutputStream os)`
Dumps this CART to the output stream.
`Object`
`interpret(Item item)`
Passes the given item through this CART and returns the interpretation.

## Method Details

### interpret

Object interpret(Item item)
Passes the given item through this CART and returns the interpretation.

Parameters:
  `item` - the item to analyze
Returns:
  the interpretation

### dumpBinary

void dumpBinary(DataOutputStream os) throws IOException
Dumps this CART to the output stream.

Parameters:
  `os` - the output stream
Throws:
  `IOException` - if an error occurs during output